<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___p_a_s_s__definitions" kind="group">
    <compoundname>group_ble_service_api_PASS_definitions</compoundname>
    <title>PASS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__passs__char__t">cy_stc_ble_passs_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__passs__t">cy_stc_ble_passs_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__passc__char__t">cy_stc_ble_passc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__passc__t">cy_stc_ble_passc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__pass__char__value__t">cy_stc_ble_pass_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__pass__descr__value__t">cy_stc_ble_pass_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__passs__config__t">cy_stc_ble_passs_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__passc__config__t">cy_stc_ble_passc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___p_a_s_s__definitions_1ga545672003ae0ab832a9fbbe2c6d5ac87" kind="enum" prot="public" static="no">
        <name>cy_en_ble_pass_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1gga545672003ae0ab832a9fbbe2c6d5ac87a33348b2b0158ac86d528a3f53b37016f" prot="public">
          <name>CY_BLE_PASS_AS</name>
          <briefdescription>
<para>Alert Status Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1gga545672003ae0ab832a9fbbe2c6d5ac87a48d9972ebf02057fcdc7628616f40177" prot="public">
          <name>CY_BLE_PASS_RS</name>
          <briefdescription>
<para>Ringer Setting Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1gga545672003ae0ab832a9fbbe2c6d5ac87ab1662d5d6e28cbbb3b6fdab30bf738d1" prot="public">
          <name>CY_BLE_PASS_CP</name>
          <briefdescription>
<para>Ringer Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1gga545672003ae0ab832a9fbbe2c6d5ac87a16377a522e82783dc4ae230d295413b7" prot="public">
          <name>CY_BLE_PASS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of PASS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_pass_char_index_t: </bold><linebreak />Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="45" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="39" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="40" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___p_a_s_s__definitions_1gad0c401a21608b3535e22e2d9edb14cb5" kind="enum" prot="public" static="no">
        <name>cy_en_ble_pass_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggad0c401a21608b3535e22e2d9edb14cb5a6b7bf6a641d72f681f9ddceae84001a4" prot="public">
          <name>CY_BLE_PASS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggad0c401a21608b3535e22e2d9edb14cb5ab11e7bf45997658391df033c14a4a5db" prot="public">
          <name>CY_BLE_PASS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of PASS descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_pass_descr_index_t: </bold><linebreak />Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="52" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="49" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___p_a_s_s__definitions_1gaa15ba4d4c0d16bc8bab127d32fb13a72" kind="enum" prot="public" static="no">
        <name>cy_en_ble_pass_rs_t</name>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggaa15ba4d4c0d16bc8bab127d32fb13a72a74af8f36baaa92bb1a7fd8121169f0c3" prot="public">
          <name>CY_BLE_PASS_RS_SILENT</name>
          <briefdescription>
<para>Ringer Silent. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggaa15ba4d4c0d16bc8bab127d32fb13a72a2a33ab4c616811d8467a84be85766091" prot="public">
          <name>CY_BLE_PASS_RS_NORMAL</name>
          <briefdescription>
<para>Ringer Normal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_pass_rs_t: </bold><linebreak />Ringer Setting values.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="71" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="68" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___p_a_s_s__definitions_1gab5f9dd298aa7acfb11b007da5094ec1d" kind="enum" prot="public" static="no">
        <name>cy_en_ble_pass_cp_t</name>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggab5f9dd298aa7acfb11b007da5094ec1dafd10bee5006014f0844e21ccc5ad528e" prot="public">
          <name>CY_BLE_PASS_CP_SILENT</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Silent Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggab5f9dd298aa7acfb11b007da5094ec1daf22b1c76b3de885b97fcad24c49d4786" prot="public">
          <name>CY_BLE_PASS_CP_MUTE</name>
          <briefdescription>
<para>Mute Once. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___p_a_s_s__definitions_1ggab5f9dd298aa7acfb11b007da5094ec1da12cd0824fe9dfac5793efdb226a6e427" prot="public">
          <name>CY_BLE_PASS_CP_CANCEL</name>
          <briefdescription>
<para>Cancel Silent Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_pass_cp_t: </bold><linebreak />Ringer Control Point values.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="79" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_pass.h" line="75" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the PASS specific definitions and data structures used in the PASS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>